Name:           h2
Version:        1.3.176
Release:        %mkrel 7
Group:          Development/Java
Summary:        Java SQL database

License:        EPL
URL:            http://www.h2database.com
Source0:        http://www.h2database.com/h2-2014-04-05.zip
Source1:        http://repo2.maven.org/maven2/com/h2database/h2/%{version}/h2-%{version}.pom
Patch0:         fix-build.patch
Patch1:         rm-osgi-jdbc-service.patch
Patch2:         fix-broken-tests.patch
BuildArch: noarch
BuildRequires: java-devel >= 1:1.5.0
BuildRequires:  ant
BuildRequires:  lucene3
BuildRequires:  slf4j >= 1.5
BuildRequires:  felix-osgi-core >= 1.2
BuildRequires:  glassfish-servlet-api
BuildRequires:  jts

%description
H2 is a the Java SQL database. The main features of H2 are:
* Very fast, open source, JDBC API
* Embedded and server modes; in-memory databases
* Browser based Console application
* Small footprint: around 1 MB jar file size 

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
pushd src/test/org/h2/test/unit
rm TestServlet.java
popd
%patch0
%patch2

# Because no Fedora package provides org.osgi.service.jdbc interfaces yet
%patch1
rm src/main/org/h2/util/OsgiDataSourceFactory.java
rm -fr src/test/org/h2/test/server/TestWeb.java
sed -i -e "s|import org.h2.test.server.TestWeb;||g" src/test/org/h2/test/TestAll.java
sed -i -e "s|new TestWeb().runTest(this);||g" src/test/org/h2/test/TestAll.java
sed -i '/org.osgi.service.jdbc/d' src/main/META-INF/MANIFEST.MF

# Delete pre-built binaries
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

sed -i -e 's|authenticated|authenticate authenticated|' src/tools/org/h2/build/doc/dictionary.txt

%build
export JAVA_HOME=%{java_home}
chmod u+x build.sh
./build.sh jar docs

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p bin/h2-%{version}.jar   \
$RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs/javadoc  \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_mavenpomdir}
cp -rp %SOURCE1 $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files -f .mfiles
%doc src/docsrc/html/license.html

%files javadoc
%{_javadocdir}/%{name}
%doc src/docsrc/html/license.html




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.3.176-7.mga6
+ Revision: 982096
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.3.176-6.mga6
+ Revision: 976391
- First rebuild of the java stack
- sync package h2 with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.3.176-3.mga6
+ Revision: 951476
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 pterjan <pterjan> 1.3.176-2.mga5
+ Revision: 807393
- Sync with Fedora 21

  + daviddavid <daviddavid>
    - sync with fc21 (update to 1.3.176)
    - switch to %%mvn_artifact and javapackages-local

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.168-2.mga4
+ Revision: 522280
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.3.168-1.mga3
+ Revision: 398954
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.155-3.mga3
+ Revision: 353069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 dmorgan <dmorgan> 1.3.155-2.mga2
+ Revision: 172471
- Rename pom file

* Mon Sep 05 2011 dmorgan <dmorgan> 1.3.155-1.mga2
+ Revision: 138661
- Fix groups
- Adapt to mageia guidelines
- Clean spec file

  + gil <gil>
    - imported package h2


* Fri Jun 10 2011 gil <gil> 1.2.147-0.%%mkrel
- initial rpm